<template>
    <div class="safetyAndRiskConfirm">
        <div class="safetyAndRiskConfirm_title">
            <span>{{"安全交底和风险告知确认卡"}}</span>
        </div>

        <div class="safetyAndRiskConfirm_top">
            <div class="safetyAndRiskConfirm_top_title">
                {{"作业前，项目负责人应对施工作业人员进行安全交底和风险告知，内容包括作业许可范围及作业环境、作业风险、防范措施（工艺、设备、个体防护等）、应急措施及其他注意事项。作业人员应按照风险告知内容，逐条对接确认，落实到位后方可作业。"}}
            </div>
        </div>
        <div class="safetyAndRiskConfirm_middle">
            <div class="safetyAndRiskConfirm_middle_left">
                <div class="safetyAndRiskConfirm_middle_left_title">{{'安全交底和风险告知内容'}}</div>
            </div>
            <div class="safetyAndRiskConfirm_middle_right">
                <div class="safetyAndRiskConfirm_middle_right_one">
                    <div class="safetyAndRiskConfirm_middle_right_one_top">
                        {{"作业许可范围及作业环境："}}
                    </div>
                    <div class="safetyAndRiskConfirm_middle_right_one_text">
                        <el-input type="textarea" :row="2" class="safetyAndRiskConfirm_middle_right_one_textarea" v-model="taskRiskForm.environment"></el-input>
                    </div>
                </div>
                <div class="safetyAndRiskConfirm_middle_right_one">
                    <div class="safetyAndRiskConfirm_middle_right_one_top">
                        {{"作业风险："}}
                    </div>
                    <div class="safetyAndRiskConfirm_middle_right_one_text">
                        <el-input type="textarea" :row="2" class="safetyAndRiskConfirm_middle_right_one_textarea" v-model="hazard" readonly></el-input>
                    </div>
                </div>
                <div class="safetyAndRiskConfirm_middle_right_one">
                    <div class="safetyAndRiskConfirm_middle_right_one_top">
                        {{"防范措施（工艺、设备、个体防护等）："}}
                    </div>
                    <div class="safetyAndRiskConfirm_middle_right_one_text">
                        <el-input type="textarea" :row="2" class="safetyAndRiskConfirm_middle_right_one_textarea" v-model="taskRiskForm.preventive"></el-input>

                    </div>
                </div>
                <div class="safetyAndRiskConfirm_middle_right_one">
                    <div class="safetyAndRiskConfirm_middle_right_one_top">
                        {{"应急措施："}}
                    </div>
                    <div class="safetyAndRiskConfirm_middle_right_one_text">
                        <el-input type="textarea" :row="2" class="safetyAndRiskConfirm_middle_right_one_textarea" v-model="taskRiskForm.emergency"></el-input>
                    </div>
                </div>
                <div class="safetyAndRiskConfirm_middle_right_one">
                    <div class="safetyAndRiskConfirm_middle_right_one_top">
                        {{"其他注意事项："}}
                    </div>
                    <div calss="safetyAndRiskConfirm_middle_right_one_text">
                        <el-input type="textarea" :row="2" class="safetyAndRiskConfirm_middle_right_one_textarea" v-model="taskRiskForm.other"></el-input>
                    </div>
                </div>
                <div class="safetyAndRiskConfirm_middle_right_two">
                    <div class="safetyAndRiskConfirm_middle_right_one_top">
                        {{"企业负责人确认："}}
                    </div>
                    <div calss="safetyAndRiskConfirm_middle_right_one_text">
                        <el-input type="textarea" :row="2" class="safetyAndRiskConfirm_middle_right_one_textarea"></el-input>
                    </div>
                </div>
            </div>
        </div>
        <div class="safetyAndRiskConfirm_bottom">
            <div class="safetyAndRiskConfirm_bottom_title">
                {{"我方所有施工作业人员已明确该项目的风险并清楚了危害、防范措施和其它注意事项。"}}
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: 'index',
    props:['basicInformation'],
    data(){
        return{
            director:'',
            startTime:'',
            endTime:'',
            constructionUnit:'',
            hazard:'',
            taskRiskForm:{
                id:'',
                taskcode:'',
                content:'',
                environment:'',
                preventive:'',
                emergency:'',
                other:'',
                director:'',
                taskdirector:'',
                confirmat:'',
                createdat:'',
                createdby:'',
                modifiedat:'',
                modifiedby:'',
                flag:'',
            },
        }
    },
    created(){
        this.getBasic()
    },
    methods:{
        getBasic(){
            this.constructionUnit = this.basicInformation.constructionunit
            this.director = this.basicInformation.director
            this.startTime = this.basicInformation.starttime
            this.endTime = this.basicInformation.endtime
            this.hazard = this.basicInformation.hazard
            this.taskRiskForm.taskcode = this.basicInformation.code
        }
    }
}
</script>

<style scoped>
.safetyAndRiskConfirm{
    width:60%;
    margin:0 auto;
}
.safetyAndRiskConfirm_title{
    padding-bottom: 15px;
    font-weight: bold;
    font-size: 25px;
    text-align: center;
}
/deep/.el-descriptions__header{
    border-left: 1px solid #EBEEF5;
    border-right: 1px solid #EBEEF5;
    border-bottom: 1px solid #EBEEF5;
    margin: 0px auto;
    height:30px;
    text-align: center;
}
/deep/.el-descriptions__title{
    text-align: center;
    width:100%;
    margin: 0px auto;
}
.safetyAndRiskConfirm_top{
    border-left: 1px solid #EBEEF5;
    border-right: 1px solid #EBEEF5;
    border-bottom: 1px solid #EBEEF5;
    margin: 0px auto;
    height:80px;
    font-size: 18px;
    text-indent: 2em;
}
.safetyAndRiskConfirm_top_title{
    position: relative;
    top: 50%; /*偏移*/
    transform: translateY(-50%);
}
/*.safetyAndRiskConfirm_basic{*/
/*    border-left: 1px solid #EBEEF5;*/
/*    border-right: 1px solid #EBEEF5;*/
/*    border-bottom: 1px solid #EBEEF5;*/
/*    margin: 0px auto;*/
/*    height:80px;*/
/*    font-size: 18px;*/
/*    text-indent: 2em;*/
/*}*/
.safetyAndRiskConfirm_middle{
    border-left: 1px solid #EBEEF5;
    border-right: 1px solid #EBEEF5;
    border-bottom: 1px solid #EBEEF5;
    margin: 0px auto;
    height:550px;
    font-size: 18px;
}
.safetyAndRiskConfirm_middle_left{
    height:100%;
    width:10%;
    border-right: 1px solid #EBEEF5;
    display:inline-block;
    float: left;
}
.safetyAndRiskConfirm_middle_left_title{
    padding-left: 12px;
    padding-right: 12px;
    text-align: center;
    position: relative;
    top: 50%; /*偏移*/
    transform: translateY(-50%);
}
.safetyAndRiskConfirm_middle_right{
    float: left;
    height:100%;
    width:90%;
}
.safetyAndRiskConfirm_middle_right_one{
    height:16.6%;
    width:100%;
    border-bottom: 1px solid #EBEEF5;
}
.safetyAndRiskConfirm_middle_right_two{
    height:16.6%;
    width:100%;
}
.safetyAndRiskConfirm_middle_right_one_top{
    height:30%;
    width:100%;
    padding-top:5px;
    padding-left: 5px;
}
.safetyAndRiskConfirm_middle_right_one_textarea{
    padding-left: 5px;
    padding-right:5px ;
    padding-top: 2px;
}
.safetyAndRiskConfirm_middle_right_one_text{
    height:70%;
    width:100%;
}

.safetyAndRiskConfirm_bottom{
    border-left: 1px solid #EBEEF5;
    border-right: 1px solid #EBEEF5;
    border-bottom: 1px solid #EBEEF5;
    margin: 0px auto;
    height:100px;
    font-size: 18px;
}
.safetyAndRiskConfirm_bottom_title{
    text-align: center;
    position: relative;
    top: 50%; /*偏移*/
    transform: translateY(-50%);
}
.test{
    /*border: 0px;*/
}
</style>
